import remote from "@gidc-ebank-parts-h5-standard/common/src/services/remote";
export default {
  // 查询辅助栏-快捷菜单
  adjectiveMenuQry(payload) {
    return remote.post('/entUserShortMenuQry.do', { payload });
  },
  // 保存辅助栏-快捷菜单
  adjectiveMenuSave(payload) {
    return remote.post('/entUserShortMenuSet.do', { payload });
  },
  // 查询电票签收数据
  entBillSignQry(payload) {
    return remote.post('/entBillSignQry.do', { payload });
  },
  // 网点查银行
  searchMapBankQry(payload) {
    return remote.post('/entMapNodeListQry.do', { payload });
  },
  //联行号查询
  searchBankListQry(payload) {
    return remote.post('/entRtgsNodeListQry.do', { payload });
  },
  // 所有银行列表查询
  entBankListQuery() {
    return remote.post('/entBankListQuery.do', {});
  },
  // 查询省份
  entProvinceListQry() {
    return remote.post('/entProvinceListQry.do', {});
  },
  // 查询城市
  entCityListQry(payload) {
    return remote.post('/entCityListQry.do', { payload });
  },
  // 查询区域
  entCountyListQry(payload) {
    return remote.post('/entCountyListQry.do', { payload });
  },
  // 提前还款试算
  prepaymentQry(payload) {
    return remote.post('/api/prepaymentQry.do', { payload });
  },
  // 理财试算
  financialQry(payload) {
    return remote.post('/api/financialQry.do', { payload });
  },
  // 资产总览
  assetViewQry(payload) {
    return remote.post('/api/assetViewQry.do', { payload });
  },
  // 投资理财
  finanViewQry(payload) {
    return remote.post('/entInvestPrdListQry.do', { payload });
  },
  // 待办查询
  waitForDoingQry(payload) {
    return remote.post('/entAuthTaskCountQry.do', { payload, handleError: false });
  },
  // 对账单查询
  entEEntUncheckBillQryCount(payload) {
    return remote.post('/entUncheckBillQry.do', { payload, handleError: false });
  },
  // 理财利率查询
  rateViewQry() {
    return new Promise((resolve) => {
      resolve({
        listLive: {
          rate: '0.38',
          rate1: '0.45',
        },
        listDeposite: [
          {
            type: '01',
            rate: '0.38',
            rate1: '0.45',
          },
          {
            type: '02',
            rate: '0.39',
            rate1: '0.46',
          },
          {
            type: '03',
            rate: '0.40',
            rate1: '0.47',
          },
          {
            type: '04',
            rate: '0.41',
            rate1: '0.48',
          },
          {
            type: '05',
            rate: '0.42',
            rate1: '0.49',
          },
          {
            type: '06',
            rate: '0.43',
            rate1: '0.50',
          },
        ],
        listDepositLive: {
          rate: '0.33',
          rate1: '0.36',
        },
        listNotice: [
          {
            type: '07',
            rate: '0.35',
            rate1: '038',
          },
          {
            type: '08',
            rate: '0.36',
            rate1: '040',
          },
        ],
      });
    });
  },
  // 账户信息查询
  accViewQry(payload) {
    return remote.post('/entAcListAndSonBalaceQry.do', { payload });
  },
  // 猜你想要
  guessWant(payload) {
    return remote.post('/api/guessWant.do', { payload });
  },
  // 公告信息查询
  noticeViewQry(payload) {
    return remote.post('/entMessageNotifyQry.do', { payload });
  },
  // 消息信息查询
  messageViewQry(payload) {
    return remote.post('/entMsgInformQry.do', { payload });
  },
  // 常见问题查询
  questionListQry(payload) {
    return remote.post('/api/questionListQry.do', { payload });
  },
  // 企业开户下载功能
  loadingText(payload) {
    return remote.post('/api/questionListQry.do', { payload });
  },
};
